All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::IOReader Struct Referenceabstract
Inheritance diagram for faiss::IOReader:

## Public Member Functions

virtual size_t | operator() (void *ptr, size_t size, size_t nitems)=0
virtual int | fileno ()

## Public Attributes

std::string | name

## Detailed Description

Definition at line 183 of file AuxIndexStructures.h.

The documentation for this struct was generated from the following files:

- /data/users/hoss/faiss/AuxIndexStructures.h
- /data/users/hoss/faiss/AuxIndexStructures.cpp